%bcond_with clang

# do not include minor version number in MOZILLA_FIVE_HOME
%global ffmajor 91.5
%global ffminor 0
%global ffversion %{ffmajor}%{?ffminor:.%{ffminor}}
%define ffdir %{_libdir}/firefox
%define tarballdir firefox-%{ffversion}
%global mozappdir     %{_libdir}/%{name}
%global langpackdir   %{mozappdir}/distribution/extensions
%global nodewrapperdir %{_builddir}/%{tarballdir}/bin
%global build_with_pgo    0

%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define homepage https://vinelinux.org/

%global _build_id_links none

%define ffrelease 1%{?_dist_release}

%define desktop_file_utils_version 0.6
%define libjpeg_turbo_version 1.1.0

ExclusiveArch: i386 i586 i686 x86_64 ia64 ppc

Summary:        Fx Browser
Summary(ja):	Fx ウェブブラウザ
Name:           firefox
Version:        %{ffversion}
Release:        %{ffrelease}
Group:          internet
Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       daisuke

URL:            https://www.mozilla.org/ja/
License:        MPLv1.1 or GPLv2+ or LGPLv2+
Source0:        https://archive.mozilla.org/pub/firefox/releases/%{version}esr/source/firefox-%{version}esr.source.tar.xz
Source2:        cbindgen-vendor.tar.xz

Source230:      mozconfig-firefox-vine6
Source240:      mozconfig-firefox-vine7

Source11:       firefox-vine-default-bookmarks.html
Source12:       firefox-vine-default-prefs.js
Source21:       firefox.vine.sh.in
Source22:       firefox.png
Source23:       fx-about.png
Source24:       fx-about-wordmark.svg
Source25:       firefox.desktop
Source26:       firefox-safe-mode.desktop
Source27:       firefox-safe-mode.vine.sh
Source30:       firefox.1
Source32:       node-stdout-nonblocking-wrapper
Source50:       firefox-xremote-client.sh.in
Source100:      find-external-requires

# for newer rust
#Source900:      https://raw.githubusercontent.com/servo/rust-cssparser/master/src/parser.rs

# locale sources
%define MOZ_BUILD_LOCALES "ja"
Source1000:     firefox-%{ffversion}esr-langpacks.tar.xz
Source1010:     firefox-unofficial-branding-fx.tar.xz
#
Source2000:     firefox-searchplugins-6.0-ja.tar.bz2

Source3000:     firefox.metainfo.xml

# Build patches
#Patch3:         mozilla-build-arm.patch
#Patch25:        rhbz-1219542-s390-build.patch
#Patch26:        build-icu-big-endian.patch
#Patch32:        build-rust-ppc64le.patch
#Patch35:        build-ppc-jit.patch
# Fixing missing cacheFlush when JS_CODEGEN_NONE is used (s390x)
Patch38:        build-cacheFlush-missing.patch
#Patch40:        build-aarch64-skia.patch
Patch41:        build-disable-elfhack.patch
#Patch44:        build-arm-libopus.patch
Patch46:        firefox-nss-version.patch
#Patch47:        fedora-shebang-build.patch
#Patch48:        build-arm-wasm.patch
#Patch49:        build-arm-libaom.patch
Patch53:        firefox-gcc-build.patch
# This should be fixed in Firefox 83
Patch54:        mozilla-1669639.patch
Patch55:        firefox-testing.patch
Patch57:        firefox-disable-ffvpx-with-vapi.patch
#Patch58:        firefox-crashreporter-build.patch
#Patch59:        build-python-1.patch
#Patch60:        build-python-2.patch

# Test patches
# Generate without context by
# GENDIFF_DIFF_ARGS=-U0 gendiff firefox-xxxx .firefox-tests-xpcshell
# GENDIFF_DIFF_ARGS=-U0 gendiff firefox-xxxx .firefox-tests-reftest
Patch100:       firefox-tests-xpcshell.patch
#Patch101:       firefox-tests-reftest.patch
Patch102:       firefox-tests-xpcshell-freeze.patch

# Fedora specific patches
Patch215:        firefox-enable-addons.patch
Patch219:        rhbz-1173156.patch
Patch221:        firefox-vine-ua.patch
Patch224:        mozilla-1170092.patch
#Patch228:        disable-openh264-download.patch
Patch229:        firefox-nss-addon-hack.patch

# Upstream patches
Patch402:        mozilla-1196777.patch
Patch407:        mozilla-1667096.patch
Patch408:        mozilla-1663844.patch
Patch415:        mozilla-1670333.patch
Patch420:        mochitest-wayland-workaround.patch
#Patch423:        mozilla-1646135.patch
#Patch424:        mozilla-1715254.patch

# PGO/LTO patches
Patch600:        pgo.patch
Patch602:        mozilla-1516803.patch

# customization patches

## Vine patch
Patch1000:      ignore-python-unicode-exception.patch

# vine customization patch
Patch2000:      firefox-47.0.1-vine.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	alsa-lib-devel
BuildRequires:  autoconf213
BuildRequires:  bzip2-devel
# cbindgen needs clang
BuildRequires:  clang-devel, lld, llvm-devel
BuildRequires:  curl-devel
BuildRequires:  desktop-file-utils
BuildRequires:  freetype2-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gtk3-devel
BuildRequires:  lcms-devel
BuildRequires:  libffi-devel
BuildRequires:	libgnome-devel
BuildRequires:  libIDL-devel
BuildRequires:  libjpeg-turbo-devel >= %{libjpeg_turbo_version}
BuildRequires:  libnotify-devel
BuildRequires:  libpng-devel
BuildRequires:	libXt-devel
BuildRequires:	libXrender-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  nasm
BuildRequires:  nodejs > 10.0.0
BuildRequires:  pango-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  rust >= 1.34.0
BuildRequires:  cargo
BuildRequires:  startup-notification-devel
BuildRequires:  unzip
BuildRequires:  wget
BuildRequires:  yasm
BuildRequires:  zip
BuildRequires:  zlib-devel
BuildRequires:  nspr-devel
BuildRequires:  nss-devel

Requires:       desktop-file-utils >= %{desktop_file_utils_version}


Conflicts:      firefox-esr
Provides:       webclient
Provides:       metainfo()
Provides:       metainfo(firefox.metainfo.xml)

Conflicts:      xulrunner < 17.0.1

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Fx Browser is an open-source web browser based on mozilla technology.
This is unofficial build of firefox browser.

%description -l ja
FX ウェブブラウザは Mozilla テクノロジーをベースとしたオープンソースの
ウェブブラウザです。

#---------------------------------------------------------------------


%prep
%setup -q -n %{name}-%{version} -c
cd %{tarballdir}



%if 0%{?disable_elfhack}
%patch41 -p1 -b .disable-elfhack
%endif
#patch46 -p1 -b .nss-version
#patch48 -p1 -b .build-arm-wasm
#patch49 -p1 -b .build-arm-libaom
%patch53 -p1 -b .firefox-gcc-build
%patch54 -p1 -b .1669639
%patch55 -p1 -b .testing
%patch57 -p1 -b .ffvpx-with-vapi
#patch58 -p1 -b .firefox-crashreporter-build
#patch59 -p1 -b .build-python-1
#patch60 -p1 -b .build-python-2

# Test patches
%patch100 -p1 -b .firefox-tests-xpcshell
#patch101 -p1 -b .firefox-tests-reftest
%patch102 -p1 -b .firefox-tests-xpcshell-freeze

# Fedora patches
%patch215 -p1 -b .addons
%patch219 -p1 -b .rhbz-1173156
%patch221 -p1 -b .vine-ua
%patch224 -p1 -b .1170092
#patch228 -p1 -b .disable-openh264-download
%patch229 -p1 -b .firefox-nss-addon-hack

%patch402 -p1 -b .1196777
#patch407 -p1 -b .1667096
%patch408 -p1 -b .1663844
%patch415 -p1 -b .1670333
%patch420 -p1 -b .mochitest-wayland-workaround
#patch423 -p1 -b .1646135
#patch424 -p1 -b .1715254

# PGO patches
%if %{build_with_pgo}
%if !%{build_with_clang}
%patch600 -p1 -b .pgo
%patch602 -p1 -b .1516803
%endif
%endif

perl -pi \
-e 's|pref\("extensions.langpacks.signatures.required".*$|pref("extensions.langpacks.signatures.required", false);|' \
browser/app/profile/firefox.js
perl -pi \
-e 's|pref\("layout.spellcheckDefault".*$|pref("layout.spellcheckDefault", 0);|' \
browser/app/profile/firefox.js

perl -pi \
-e 's|browser.startup.homepage=.*$|browser.startup.homepage=https://vinelinux.org/|' \
browser/branding/unofficial/locales/browserconfig.properties

perl -pi \
-e 's|pref\("startup.homepage_override_url".*$|pref("startup.homepage_override_url", "https://vinelinux.org/");|' \
browser/branding/unofficial/locales/browserconfig.properties
perl -pi \
-e 's|pref\("startup.homepage_welcome_url".*$|pref("startup.homepage_welcome_url", "https://vinelinux.org/");|' \
browser/branding/unofficial/locales/browserconfig.properties

# replace source for newer rust
#cp -f %{SOURCE900} ./third_party/rust/cssparser/src/
#sed -i -e 's/"files":{[^}]*}/"files":{ }/' ./third_party/rust/cssparser/.cargo-checksum.json

%{__rm} -f .mozconfig

%{__cp} %{SOURCE240} .mozconfig

#sed -i -e 's/enable-optimize/disable-optimize/g' .mozconfig
%global optimize_flags "-O3"
echo 'ac_add_options --enable-optimize=%{?optimize_flags}' >> .mozconfig
echo "ac_add_options --disable-debug-symbols" >> .mozconfig
echo "ac_add_options --disable-debug" >> .mozconfig

echo 'export NODEJS="%{nodewrapperdir}/node-stdout-nonblocking-wrapper"' >> .mozconfig

# Remove executable bit to make brp-mangle-shebangs happy.
chmod -x third_party/rust/itertools/src/lib.rs

# update searchplugins
#%{__tar} xjvf %{SOURCE2000} -C browser/locales/en-US/

# setup unofficial branding logos
%{__tar} xvf %{SOURCE1010}
%{__cp} %{SOURCE23} browser/branding/unofficial/content/about.png
%{__cp} %{SOURCE24} browser/branding/unofficial/content/about-wordmark.svg
%{__cp} browser/branding/unofficial/locales/en-US/brand.* browser/branding/nightly/locales/en-US/

#---------------------------------------------------------------------

%build
cd %{tarballdir}
export LANG=ja_JP.UTF-8

# install bundled cbindgen
mkdir -p my_rust_vendor
cd my_rust_vendor
%{__tar} xf %{SOURCE2}
mkdir -p .cargo
cat > .cargo/config <<EOL
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "`pwd`"
EOL

env CARGO_HOME=.cargo cargo install cbindgen
export PATH=`pwd`/.cargo/bin:$PATH
cd -

mkdir %{nodewrapperdir} || :
cp %{SOURCE32} %{nodewrapperdir}/ || :

#autoconf-2.13

MOZ_OPT_FLAGS=$(echo "$RPM_OPT_FLAGS" | \
                %{__sed} -e 's/-Wall//')
MOZ_OPT_FLAGS=$(echo "$MOZ_OPT_FLAGS" | %{__sed} -e 's/-Werror=format-security//')
MOZ_OPT_FLAGS="$MOZ_OPT_FLAGS -fpermissive"
MOZ_OPT_FLAGS="$MOZ_OPT_FLAGS -fPIC -Wl,-z,relro -Wl,-z,now"
MOZ_OPT_FLAGS=$(echo "$MOZ_OPT_FLAGS" | %{__sed} -e 's/-g/-g0/')
export MOZ_DEBUG_FLAGS=" "

export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export MOZ_APP_DISPLAYNAME="Fx Browser"

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

%if %{with clang}
echo "export CC=clang" >> .mozconfig
echo "export CXX=clang++" >> .mozconfig
echo "export LLVM_PROFDATA=\"llvm-profdata\"" >> .mozconfig
echo "export AR=\"llvm-ar\"" >> .mozconfig
echo "export NM=\"llvm-nm\"" >> .mozconfig
echo "export RANLIB=\"llvm-ranlib\"" >> .mozconfig
echo "ac_add_options --enable-linker=lld" >> .mozconfig
MOZ_OPT_FLAGS="$MOZ_OPT_FLAGS -Wno-ignored-optimization-argument"
%else
echo "export CC=gcc" >> .mozconfig
echo "export CXX=g++" >> .mozconfig
echo "export AR=\"gcc-ar\"" >> .mozconfig
echo "export NM=\"gcc-nm\"" >> .mozconfig
echo "export RANLIB=\"gcc-ranlib\"" >> .mozconfig
MOZ_LINK_FLAGS="-Wl,--no-keep-memory -Wl,--reduce-memory-overheads"
%endif

echo "export CFLAGS=\"$MOZ_OPT_FLAGS\"" >> .mozconfig
echo "export CXXFLAGS=\"$MOZ_OPT_FLAGS\"" >> .mozconfig
echo "export LDFLAGS=\"$MOZ_LINK_FLAGS\"" >> .mozconfig

export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export RUSTFLAGS="-Cdebuginfo=0"

MOZ_SMP_FLAGS=-j1
# On x86 architectures, Mozilla can build up to 4 jobs at once in parallel,
# however builds tend to fail on other arches when building in parallel.
%ifarch %{ix86} x86_64
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -ge 2 ] && MOZ_SMP_FLAGS=-j2
[ "$RPM_BUILD_NCPUS" -ge 4 ] && MOZ_SMP_FLAGS=-j4
[ "$RPM_BUILD_NCPUS" -ge 8 ] && MOZ_SMP_FLAGS=-j8
%endif

sed -i 's/\(MOZ_PKG_FATAL_WARNINGS =\).*/\1 0/' \
  browser/installer/Makefile.in &&

echo "mk_add_options MOZ_MAKE_FLAGS=\"$MOZ_SMP_FLAGS\"" >> .mozconfig
#echo "mk_add_options MOZ_SERVICES_SYNC=1" >> .mozconfig
#echo "export STRIP=/bin/true" >> .mozconfig
export MACH_USE_SYSTEM_PYTHON=1

./mach build 2>&1 | cat -

#---------------------------------------------------------------------

%install
cd %{tarballdir}
%{__rm} -rf $RPM_BUILD_ROOT
export LANG=ja_JP.UTF-8

# set up our default bookmarks
%{__cp} -p %{SOURCE11} objdir/dist/bin/browser/chrome/en-US/locale/browser/bookmarks.html

# Make sure locale works for langpacks
%{__cat} > objdir/dist/bin/browser/defaults/preferences/firefox-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF

export MOZ_APP_DISPLAYNAME="Fx Browser"

DESTDIR=$RPM_BUILD_ROOT %{__make} -C objdir install

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

if [ "%{version}" != "%{ffmajor}" ]; then
  if [ -d "$RPM_BUILD_ROOT%{_libdir}/firefox-%{version}" ]; then
    %{__mv} $RPM_BUILD_ROOT%{_libdir}/firefox-%{version} $RPM_BUILD_ROOT%{ffdir}
  fi
fi

# install icons
%{__install} -p -D %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/pixmaps/firefox.png

for desktopfiles in %{SOURCE25} %{SOURCE26}
do
  desktop-file-install --vendor vine \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category Application \
    --add-category Network \
    $desktopfiles
done

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
%{__mkdir_p} %{buildroot}%{_datadir}/metainfo
install -m644 %{SOURCE3000} %{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml

%{__install} -p -m 755 %{SOURCE21} $RPM_BUILD_ROOT%{_bindir}/firefox
%{__install} -p -m 755 %{SOURCE27} $RPM_BUILD_ROOT%{_bindir}/firefox-safe-mode

%{__install} -p -D -m 664 %{SOURCE30} $RPM_BUILD_ROOT%{_mandir}/man1/firefox.1

%{__rm} -f %{buildroot}/%{mozappdir}/firefox-config
%{__rm} -f %{buildroot}/%{mozappdir}/update-settings.ini

echo > ../%{name}.lang
# Extract langpacks, make any mods needed, repack the langpack, and install it.
%{__mkdir_p} %{buildroot}%{langpackdir}
%{__tar} xf %{SOURCE1000}
for langpack in `ls firefox-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensionID=langpack-$language@firefox.mozilla.org
  %{__mkdir_p} $extensionID
  unzip -qq $langpack -d $extensionID
  find $extensionID -type f | xargs chmod 644

#  sed -i -e "s|browser.startup.homepage.*$|browser.startup.homepage=%{homepage}|g;" \
#     $extensionID/browser/chrome/$language/locale/branding/browserconfig.properties

  if [ $language = "ja" ]; then
    sed -i \
      -e "s|Mozilla Firefox|Fx ウェブブラウザ|g" \
      -e "s|Firefox|Fx ウェブブラウザ|g" \
      -e "s|Mozilla|Project Vine|g" \
      -e 's|\(.*trademarkInfo.part1.*"\).*">|\1Vine Linux および Vine Linux ロゴは Project Vine および有限会社ヴァインカーブの日本およびその他の国における商標です。">|g' \
      $extensionID/browser/chrome/$language/locale/branding/brand.*
  else
    sed -i \
      -e "s|Mozilla Firefox|Fx Browser|g" \
      -e "s|Firefox|Fx Browser|g" \
      -e "s|Mozilla|Project Vine|g" \
      -e 's|\(.*trademarkInfo.part1.*"\).*">|\1Vine Linux and the Vine Linux logos are trademarks of Project Vine and Vine Caves Ltd.">|g' \
      $extensionID/browser/chrome/$language/locale/branding/brand.*
  fi

  %{__cp} -p %{SOURCE11} $extensionID/browser/chrome/$language/locale/browser/bookmarks.html

  cd $extensionID
  zip -qq -r9mX ../${extensionID}.xpi *
  cd -

  %{__install} -m 644 ${extensionID}.xpi %{buildroot}%{langpackdir}
  language=`echo $language | sed -e 's/-/_/g'`
  echo "%%lang($language) %{langpackdir}/${extensionID}.xpi" >> %{name}.lang
done
%{__rm} -rf firefox-langpacks

# Keep compatibility with the old preference location 
%{__mkdir_p} $RPM_BUILD_ROOT/%{ffdir}/defaults/preferences
%{__mkdir_p} $RPM_BUILD_ROOT/%{ffdir}/browser/defaults
ln -s %{mozappdir}/defaults/preferences $RPM_BUILD_ROOT/%{mozappdir}/browser/defaults/preferences
# Default preferences
%{__cat} %{SOURCE12} | %{__sed} -e 's,FIREFOX_RPM_VR,%{ffversion}-%{release},g' > vine-default-prefs
%{__cp} vine-default-prefs %{buildroot}%{mozappdir}/defaults/preferences/all-vine.js
rm -f vine-default-prefs

# System extensions
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/%{firefox_app_id}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}

# Copy over the LICENSE
%{__install} -p -c -m 644 LICENSE $RPM_BUILD_ROOT/%{ffdir}

# another bug fixed by looking at the debian package
%{__mkdir_p} $RPM_BUILD_ROOT%{ffdir}/chrome/icons/default/
for i in default{16,32,48,64,128}.png
do
  %{__cp} -f browser/branding/unofficial/$i $RPM_BUILD_ROOT%{ffdir}/browser/chrome/icons/default/
done

# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# System extensions
%{__mkdir_p} %{buildroot}%{_datadir}/mozilla/extensions/%{firefox_app_id}
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla/extensions/%{firefox_app_id}

# Copy over the LICENSE
%{__install} -p -c -m 644 LICENSE %{buildroot}/%{mozappdir}

# Copy over run-mozilla.sh
%{__cp} build/unix/run-mozilla.sh %{buildroot}%{mozappdir}

# Remove copied libraries to speed up build
rm -f %{buildroot}%{mozappdirdev}/sdk/lib/libmozjs.so
rm -f %{buildroot}%{mozappdirdev}/sdk/lib/libmozalloc.so
rm -f %{buildroot}%{mozappdirdev}/sdk/lib/libxul.so

# cleanup unpackaged files
%{__rm} -rf $RPM_BUILD_ROOT%{_includedir}/*
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/%{name}-devel-*
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/idl


#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications>& /dev/null ||:
umask 022

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{ffdir}/components
  %{__rm} -rf %{ffdir}/extensions
  %{__rm} -rf %{ffdir}/plugins
  %{__rm} -rf %{langpackdir}
fi

#---------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%{_bindir}/firefox
%{_bindir}/firefox-safe-mode
%{_mandir}/man1/*
%{_datadir}/applications/vine-%{name}.desktop
%{_datadir}/applications/vine-%{name}-safe-mode.desktop
%{_datadir}/pixmaps/firefox.png
%{_datadir}/metainfo/firefox.metainfo.xml
%{ffdir}
%{_libdir}/mozilla

#---------------------------------------------------------------------

%changelog
* Fri Jan 14 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 91.5.0-1
- updated to 91.5.0.

* Fri Dec 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 91.4.1-1
- updated to 91.4.1.

* Fri Dec 10 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 91.4.0-1
- updated to 91.4.0.

* Fri Nov 05 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 91.3.0-1
- updated to 91.3.0.

* Wed Sep 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 91.1.0-1
- updated to 91.1.0.
- dropped Patch61: fixed in upstream.

* Thu Aug 26 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 91.0.1-1
- updated to 91.0.1.

* Wed Aug 11 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 91.0-1
- updated to 91.0.
- updated Source2.
- refreshed patches.

* Fri Jul 16 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.12.0-1
- updated to 78.12.0.

* Wed Jun 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.11.0-1
- updated to 78.11.0.

* Thu May 06 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.10.1-1
- updated to 78.10.1.

* Mon Apr 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.10.0-1
- updated to 78.10.0.

* Thu Mar 25 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.9.0-1
- updated to 78.9.0.

* Fri Feb 26 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.8.0-1
- updated to 78.8.0.

* Sat Feb 06 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.7.1-1
- updated to 78.7.1.

* Wed Jan 27 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.7.0-1
- updated to 78.7.0.

* Tue Jan 12 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.6.1-1
- updated to 78.6.1.

* Wed Dec 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.6.0-1
- updated to 78.6.0.

* Thu Nov 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.5.0-1
- updated to 78.5.0.
- dropped Patch700: fixed in upstream.

* Tue Nov 10 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.4.1-1
- updated to 78.4.1.

* Mon Oct 26 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.4.0-1
- updated to 78.4.0.
- added Patch700 to build with rust-1.47.

* Fri Oct 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.3.1-1
- updated to 78.3.1.

* Wed Sep 23 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.3.0-1
- updated to 78.3.0.

* Fri Aug 28 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.2.0-1
- updated to 78.2.0.
- updated metainfo.

* Thu Jul 30 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.1.0-1
- updated to 78.1.0.

* Fri Jul 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 78.0.2-1
- updated to 78.0.2.
- replaced all patches to rawhide's.

* Thu Jul 02 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.10.0-1
- updated to 68.10.0.

* Sat Jun 06 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.9.0-1
- updated to 68.9.0.

* Wed May 27 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.8.0-1
- updated to 68.8.0.
- updated metainfo.
- fixed "License:" tag.

* Sat Apr 11 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.7.0-1
- updated to 68.7.0.

* Sun Apr 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.6.1-1
- updated to 68.6.1.

* Thu Mar 26 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.6.0-1
- updated to 68.6.0.

* Tue Feb 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.5.0-1
- updated to 68.5.0.
- dropped Source900: fixed in upstream.

* Fri Nov 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.2.0-1
- updated to 68.2.0.

* Sun Sep 29 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 68.1.0-1
- updated to 68.1.0.
- dropped Patch37, 225 and 406-415.
- imported Patch419-421 from upstream (via rawhide).
- updated Patch224.
- added Patch1000.

* Sat Jun 22 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.7.2-1
- updated to 60.7.2.

* Thu Jun 20 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.7.1-1
- updated to 60.7.1.

* Sat May 11 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.6.3-1
- updated to 60.6.3.

* Mon May 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.6.2-1
- updated to 60.6.2.

* Wed Dec 12 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.4.0-1
- updated to 60.4.0.
- updated branding informations in language packs.
- re-added default profiles.
- dropped Patch416: fixed in upstream.

* Thu Dec 06 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 60.3.0-1
- updated to 60.3.0.
- dropped patches.
- imported patches from rawhide.

* Fri Jul 28 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 54.0.1-1
- update to 54.0.1

* Mon May 15 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 53.0.2-1
- update to 53.0.2

* Sun Apr 30 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 53.0-1
- update to 53.0
- build with gtk3
- disable rust

* Sat Apr 08 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 52.0.2-1
- update to 52.0.2

* Mon Mar 20 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 52.0.1-2
- fix default bookmarks

* Sat Mar 18 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 52.0.1-1
- update to 52.0.1

* Thu Mar 09 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 52.0-1
- update to 52.0

* Sun Jan 29 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 51.0.1-1
- update to 51.0.1

* Thu Jan 26 2017 Daisuke SUZUKI <daisuke@vinelinux.org> 51.0-1
- update to 51.0

* Wed Dec 21 2016 Daisuke SUZUKI <daisuke@vinelinux.org> 50.1.0-1
- update to 50.1.0

* Tue Nov 22 2016 Daisuke SUZUKI <daisuke@vinelinux.org> 50.0-1
- update to 50.0

* Tue Nov 08 2016 Daisuke SUZUKI <daisuke@vinelinux.org> 49.0.1-2
- fix broken locale..

* Fri Nov 04 2016 Daisuke SUZUKI <daisuke@vinelinux.org> 49.0.1-1
- update to 49.0.1
- update imported patches.

* Wed Aug  3 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 48.0-1
- new upstream release.
- updated upstream patches.
- updated imported patches.

* Thu Jun 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 47.0.1-1
- new upstream release
- update Patch2000 (firefox-47.0.1-vine.patch)

* Tue Jun 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.1-2
- update Source230 (mozconfig-firefox-vine6)
- add Patch5 (firefox-46.0.1-vine6.patch)

* Wed May 04 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 46.0.1-1
- new upstream release
- update Patch15 (firefox-46.0.1-enable-addons.patch)

* Sat Apr 23 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 45.0.2-1
- new upstream release

* Sun Mar 27 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 45.0.1-1
- new upstream release

* Fri Feb 12 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.2-1
- new upstream release

* Thu Feb 11 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0.1-1
- new upstream release

* Tue Jan 26 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 44.0-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.4-2
- update Source25 (firefox.desktop)
- update Source26 (firefox-safe-mode.desktop)
- add Source27 (firefox-safe-mode.vine.sh)

* Sat Jan 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.4-1
- new upstream release

* Tue Dec 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.3-1
- new upstream release

* Wed Dec 23 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.2-1
- new upstream release

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0.1-1
- new upstream release

* Wed Dec 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 43.0-1
- new upstream release
- update Source100 (find-external-requires)

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 42.0-1
- update to 42.0
- update Patch2000 (firefox-42.0-vine.patch)

* Sun Oct 18 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 41.0.2-1
- update to 41.0.2

* Fri Oct 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 41.0.1-1
- update to 41.0.1
- update Patch2000 (firefox-41.0.1-vine.patch)

* Sat Aug 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 40.0.3-1
- update to 40.0.3

* Mon Aug 17 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 40.0.2-1
- update to 40.0.2
- add BuildRequires:  gstreamer-plugins-base-devel
- remove BuildRequires:  gstreamer-plugins-devel
- update startup script (SOURCE21) 

* Sun Apr 12 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 37.0.1-1
- update to 37.0.1

* Sat Apr  4 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 37.0-1
- update to 37.0

* Sun Mar 29 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 36.0.4-1
- update to 36.0.4

* Wed Mar 11 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 36.0.1-1
- update to 36.0.1

* Tue Mar 03 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 36.0-1
- update to 36.0

* Mon Feb 02 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 35.0.1-1
- update to 35.0.1

* Sun Jan 18 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 35.0-1
- update to 35.0

* Wed Dec 03 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 34.0.5-1
- update to 34.0.5

* Tue Nov 11 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 33.1-1
- update to 33.1

* Mon Nov 10 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 33.0.3-1
- update to 33.0.3

* Tue Oct 14 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 33.0-1
- update to 33.0

* Wed Oct 01 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0.3-2
- update firefox-vine-default-prefs.js
  - remove intl.accept_languages

* Thu Sep 25 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0.3-1
- update to 32.0.3

* Sun Sep 07 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0-2
- update mozconfig
  - sync vine6/7 config
  - build with internal jpeg on vine6
  - disable optimize on i686

* Thu Sep 04 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0-1
- update to 32.0

* Wed Jul 23 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 31.0-1
- update to 31.0

* Wed Jun 11 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 30.0-1
- update to 30.0

* Thu May 15 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 29.0.1-1
- update to 29.0.1

* Wed Apr 30 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 29.0-1
- update to 29.0

* Thu Mar 20 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 28.0-1
- update to 28.0

* Sun Feb 16 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 27.0.1-1
- update to 27.0.1

* Mon Feb 10 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 27.0-1
- update to 27.0
- enable gstreamer/pulseaudio on Vine Linux 6

* Fri Dec 13 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 26.0-2
- add patch100,101 from upstream

* Wed Dec 11 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 26.0-1
- update to 26.0

* Sun Nov 17 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 25.0.1-1
- update to 25.0.1

* Tue Oct 29 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 25.0-1
- update to 25.0

* Wed Oct 23 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 24.0-3
- set media.gstreamer.enabled true  by default.

* Fri Oct 18 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 24.0-2
- enable gstreamer and pulseaudio on Vine7

* Tue Sep 17 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 24.0-1
- update to 24.0
- update searchplugins
- add BR: gstreamer-devel, gstreamer-plugins-devel

* Wed Aug 07 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0-2
- fix vine customize patch
- update unofficial logos

* Tue Aug 06 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0-1
- update to 23.0

* Thu Jun 27 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 22.0-1
- update to 22.0

* Mon May 20 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 21.0-2
- disable helth reporting by default.
- fix to install Vine's default settings

* Sun May 19 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 21.0-1
- update to 21.0
- enable pdfjs
- build with python27 on Vine6

* Thu Apr 18 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 20.0.1-2
- remove patch22

* Mon Apr 15 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 20.0.1-1
- update to 20.0.1
- build with internal nss/nspr

* Fri Mar 29 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0.2-3
- add BR: curl-devel

* Sun Mar 24 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0.2-2
- add Patch16 to fix mozbz#239254 (fixed in upstream)

* Fri Mar 08 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0.2-1
- update to 19.0.2
- disable shared-js on Vine Linux 6

* Wed Feb 20 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0-1
- update to 19.0
- add Patch1000 to disable pdf.js feature for now.
  - pdf.js is not ready to use for CJK.

* Sat Jan 19 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 18.0.1-1
- update to 18.0.1

* Wed Jan 09 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 18.0-1
- update to 18.0

* Wed Nov 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 17.0-1
- update to 17.0

* Sun Oct 28 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 16.0.2-1
- update to 16.0.2

* Fri Oct 12 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 16.0.1-1
- update to 16.0.1

* Tue Oct 09 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 16.0-1
- update to 16.0

* Tue Oct 09 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 15.0.1-3
- dont use separated plugins on Vine6
- use --enable-optimize instead of --enable-optimize="\$RPM_OPT_FLAGS"

* Mon Oct 08 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 15.0.1-2
- add workaround to build with internal nss library

* Sat Oct 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 15.0.1-1
- update to 15.0.1
- add BR: python-devel
- build with external nss/nspr on Vine7

* Tue Jul 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 14.0.1-2
- update search plugins

* Tue Jul 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 14.0.1-1
- update to 14.0.1
- build with internal nss/nspr

* Sat Jun 16 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 13.0.1-1
- update to 13.0.1

* Wed Jun 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 13.0-1
- update to 13.0

* Sun May 20 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0-3
- add patch2 to fix build failure with gcc-4.1 (vine5)

* Mon May 07 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0-2
- use internal nspr on Vine Linux 6
- add patch2 to fix build failure with gcc-4.4

* Wed Apr 25 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0-1
- update to 12.0
- add patch1 to fix build failure with system cairo

* Fri Feb 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 10.0.2-1
- update to 10.0.2

* Mon Feb 13 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 10.0.1-1
- update to 10.0.1

* Wed Feb 01 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 10.0-1
- update to 10.0
- use internal libvpx

* Thu Jan 26 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-4
- add AutoProv: no

* Thu Dec 29 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-3
- update mozconfig-firefox-vine5,6,7
- fix spec to build in parallel

* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-2
- update mozconfig
  - build with internal nss on Vine6

* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-1
- update to 9.0.1

* Wed Dec 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0-1
- update to 9.0
- build with nss-3.13.1

* Tue Nov 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0.1-1
- update to 8.0.1

* Fri Nov 18 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0-1
- update to 8.0
- remove version number from MOZ_DIST_BIN
  - /usr/lib*/firefox-8.0 -> /usr/lib*/firefox

* Fri Sep 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.1-1
- update to 7.0.1

* Wed Sep 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0-1
- update to 7.0

* Tue Sep 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0.2-1
- update to 6.0.2

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.0-2
- rebuild with libnotify-0.7

* Sun Aug 14 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0-1
- update to 6.0

* Tue Jul 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 5.0.1-1
- update to 5.0.1

* Thu Jul 07 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 5.0-1
- update to 5.0
- do not build with external xulrunner
  - remove BR: gecko-devel, R: gecko-libs
- add BR: alsa-lib-devel, lcms-devel, libvpx-devel, libpng-devel,
  sqlite3-devel, zip

* Mon May 23 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-1
- update to 4.0.1
- remove MimeType from firefox-safe-mode.desktop
- add BR: yasm, unzip

* Thu Mar 31 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-2
- add "--disable-ipc" on non-x86 architecture
- update parallel build option
  - mozilla can build up to 4 jobs in parallel on x86
- disable C++ exceptions since mozilla code is not exception-safe

* Wed Mar 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-1
- update to 4.0
- BR: libjpeg-turbo-devel >= 1.1.0
- BR: nspr-devel >= 4.8.7
- BR: nss-devel >= 3.12.9
- BR: cairo-devel >= 1.10.2-2
- use langpacks.xpi instead of l10n source
- update firefox startup script

* Thu Mar 10 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.15-1
- update to 3.6.15

* Wed Mar 02 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.14-1
- update to 3.6.14

* Sat Jan 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.13-1
- update to 3.6.13

* Thu Oct 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.11-1
- update to 3.6.11

* Tue Sep 14 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.9-1
- update to 3.6.9

* Mon Jul 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.8-1
- update to 3.6.8

* Wed Jul 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.7-1
- update to 3.6.7

* Wed Jun 23 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.4-1
- update to 3.6.4

* Sat Apr 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.3-1
- update to 3.6.3

* Fri Apr 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.2-1
- update to 3.6.2

* Thu Jan 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-2
- remove version number from browsername.
- rebuild with xulrunner-1.9.2-3

* Thu Jan 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-1
- update to 3.6

* Sat Jan 09 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-2
- update desktop files

* Fri Jan 08 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-1
- new upstream release
- move to unofficial build from community build.
  - change about dialog.

* Sat Nov 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.5-1
- new upstream release

* Sat Aug 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-3
- rebuild again with xulrunner-1.9.1.2-2

* Fri Aug 07 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-2
- rebuild with xulrunner-1.9.1.2-2

* Wed Aug 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-1
- new upstream release

* Fri Jul 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.1-2
- remove MimeType entry from firefox-safe-mode.desktop (<BTS:0735>)
- add default{32,48}.png to %%{ffdir}/chrome/icons/default (<BTS:0733>)

* Sun Jul 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.1-1
- new upstream release
- add BR: libXt-devel, startup-notification-devel

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-3
- enable-system-cairo

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-2
- add Patch3010 to fix releasenotes urls

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-1
- update to firefox 3.5 release

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-0.1.rc3
- update to firefox-3.5rc3

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.11-1
- new upstream release

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-4
- rebuild to fix broken package..

* Tue May 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-3
- add Obsoletes: firefox3

* Tue Apr 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-2
- new upstream release

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-2
- build with gecko-libs (xulrunner)
- update firefox startup script (/usr/bin/firefox)

* Wed Apr 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-1
- new upstream release
- build with nspr-4.7.4, nss-3.12.3
- set FLASH_FORCE_PULSEAUDIO if PA server is running.

* Sat Mar 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.8-1
- new upstream release
- update default bookmarks

* Thu Mar 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.7-1
- new upstream release

* Mon Feb 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-2
- modify mozconfig
  - remove --enable-xft
  - remove --enable-system-cairo, add --disable-system-cairo

* Wed Feb 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-1
- new upstream release

* Sat Dec 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.5-1
- new upstream release

* Sat Nov 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.4-1
- new upstream release

* Thu Oct 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-2
- add Patch30 to remove EULA

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-1
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-2
- disable dbus.

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-1
- new upstream release

* Thu Jul 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.1-1
- new upstream release

* Wed Jul 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-2
- rebuild with nss-3.12, nspr-4.7.1
- use unofficial branding
- change brand*Name to "Firefox Community Edition - Gran Paradiso"

* Sun Jun 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-1
- new upstream release

* Sat Apr 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0.14-1
- new upstream release

* Wed Mar 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.13-1
- new upstream release

* Tue Feb 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.12-0vl3
- new upstream release

* Sat Dec 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.11-0vl3
- new upstream release

* Tue Nov 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.10-0vl3
- new upstream release

* Fri Oct 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.9-0vl3
- new upstream release

* Fri Oct 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.8-0vl3
- new upstream release
- build with nspr-4.6.7
- update default bookmarks

* Tue Jul 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.6-0vl3
- new upstream release

* Thu Jul 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.5-0vl3
- new upstream release

* Tue Jun 12 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl9
- fix pkgconfig file for x86_64 [VineSeed-x86_64:00333]
- require ns{pr,s}-devel instead of ns{pr,s} for firefox-devel

* Sat Jun 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl6
- fix exclude condition of firefox-{nss,nspr}.pc (<BTS:532>)

* Thu May 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl3
- update to firefox-2.0.0.4
- remove Patch1020 which is merged in upstream

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.0.3-0vl5
- added Patch1020 for workaround gcc visibility hidden bugs

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl4
- add build options to build with external nss/nspr libraries
    ac_add_options --with-system-nspr
    ac_add_options --with-system-nss
- remove firefox-{nspr,nss}.pc from %%files devel

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl3
- rebuild with new environment/toolchain
- update ja locale

* Wed Mar 21 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl2
- new upstream release

* Sat Feb 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.2-0vl2
- new upstream release

* Sat Jan 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl6
- remove typeaheadfind and venkman extention.

* Fri Jan 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl4
- add build options for FireBug (<BTS:wishes:9>)
  --enable-jsd, --enable-extention=default,typeaheadfind,venkman

* Thu Dec 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl2
- update to firefox-2.0.0.1

* Mon Nov 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl6
- add Patch10 to fix Bug358798
- fix idl install path (<BTS:401>)

* Sat Oct 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl4
- update vine default settings
  - use Firefox for UA string instead of BonEcho
  - add vendor/vendorSub to UA string
  - disable spell check by default
  - enable smooth scroll by default

* Tue Oct 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl2
- update to firefox-2.0 final

* Mon Oct 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl0.rc3
- update to firefox-2.0rc3
- drop unneeded patches.

* Mon Oct 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl4
- change Summary, desktopfiles
  - use Firefox Community Edition, instead of Firefox.

* Fri Sep 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl2
- new upstream release

* Thu Aug 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.6-0vl2
- new upstream release
- -safe-mode option (VinePlus:03026)
  - add Patch1010
    - add -safe-mode option in Usage(--help).
  - add firefox-safe-mode.desktop

* Wed Jul 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.5-0vl2
- new upstream release
- update default bookmarks

* Tue Jun 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl4
- copy nss headers

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl2
- new upstream release

* Wed May 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.3-0vl2
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl4
- use firefox-1.5 for MOZILLA_FIVE_HOME instead of firefox-1.5.0.2
  - applications using gtkmozembed of firefox become unaffected to
    firefox's minor version changes.

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl2
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl6
- clean up spec file ( remove unneeded %%ghost file ... )

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl4
- fix missing default theme in theme changer

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl3
- add upstream patches (100,101,102)
- update default bookmarks
- build en-US locale
- disable pango rendering by default
  (workaround fix slow rendering in some page)

* Thu Feb 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl2
- new upstream release

* Thu Jan 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl4
- fix libnssckbi broken symlink problem (BUG:8)

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl3
- add devel subpackage for gtkembedmoz

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl2
- re-enable ja locale
- fix crash bug with COMPOSITE enabled X server
  - add patch to /usr/bin/firefox

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl1
- new upstream release

* Sat Sep 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-0vl2
- update to firefox-1.0.7

* Tue Sep 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl10
- modified mozconfig to use RPM_OPT_FLAGS

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl8
- add Patch110 to fix crash with gtk-2.7 (fixed in upstream)

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl6
- rebuild with pango-1.9.1
- add pango-cairo patch

* Sat Jul 23 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl4
- update Patch25 to enable extension update feature
  (disabled in preferences by default)

* Wed Jul 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl2
- new upstream release

* Thu Jul 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-0vl2
- new upstream release

* Sat May 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl6
- add more pango rendering patch from FC-devel.
- add IM candidate window position patch.

* Fri May 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl4
- fix wrong condition branching in spec file.

* Fri May 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl2
- new upstream release
- drop obsolete patch{103,104}

* Sat Apr 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-0vl1
- new upstream release

* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-0vl1
- new upstream release

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl6
- clean up spec file
  - drop own pixmap file (use included one)
  - fix up file permissions

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl4
- remove "new-window" option from openurl in /usr/bin/firefox

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl2
- readd patch31,32 for pango rendering fix.

* Mon Mar 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl0
- rebuild for Vine Linux 3.1 (VinePlus)

* Mon Mar 07 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl1
- new upstream release
- merge some patches from fedora
- include ja-JP langpack only.
- add Japanese translation for mozilla-firefox.desktop
- disable gnomeui, gnomestripe patch
- disable mozilla official branding.

* Mon Jan 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- initial build for Vine Linux
- based on fedora package, add Vine patch from Mozilla package.

* Tue Dec 28 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-8
- Add upstream langpacks

* Sat Dec 25 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-7
- Make sure we get a URL passed in to firefox (#138861)
- Mark some generated files as ghost (#136015)

* Wed Dec 15 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-6
- Don't have downloads "disappear" when downloading to desktop (#139015)
- Add RPM version to the useragent
- BuildRequires pango-devel

* Sat Dec 11 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-5
- Fix spacing in textareas when using pango for rendering
- Enable pango rendering by default.
- Enable smooth scrolling by default

* Fri Dec  3 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-4
- Add StartupWMClass patch from Damian Christey (#135830)
- Use system colors by default (#137810)
- Re-add s390(x)

* Sat Nov 20 2004 Christopher Blizzard <blizzard@redhat.com> 0:1.0-3
- Add patch that uses pango for selection.

* Fri Nov 12 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-2
- Fix livemarks icon issue. (#138989)

* Mon Nov  8 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-1
- Firefox 1.0

* Thu Nov  4 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.3
- Add support for GNOME stock icons. (bmo #233461)

* Sat Oct 30 2004 Warren Togami <wtogami@redhat.com> 0:0.99-1.0RC1.2
- #136330 BR freetype-devel with conditions
- #135050 firefox should own mozilla plugin dir

* Sat Oct 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.1
- Update to firefox-rc1
- Add patch for s390(x)

* Tue Oct 26 2004 Christopher Aillon <caillon@redhat.com>
- Fix LD_LIBRARY_PATH at startup (Steve Knodle)

* Fri Oct 22 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.21
- Prevent inlining of stack direction detection (#135255)

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.20
- More file chooser fixes:
    Pop up a confirmation dialog before overwriting files (#134648)
    Allow saving as complete once again
- Fix for upstream 263263.

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.18
- Fix for upstream 262689.

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com 0:0.10.1-1.0PR1.16
- Update pango patch to one that defaults to off

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.15
- Fix problem where default apps aren't showing up in the download
  dialog (#136261)
- Fix default height being larger than the available area, cherry picked
  from upstream

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.13
- Actually turn on pango in the mozconfig

* Sat Oct 16 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.12
- Disable the default application checks. (#133713)
- Disable the software update feature. (#136017)

* Wed Oct 13 2004 Christopher Blizzard <blizzard@redhat.com>
- Use pango for rendering

* Tue Oct 12 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.10
- Fix for 64 bit crash at startup (b.m.o #256603)

* Fri Oct  8 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.9
- Fix compile issues (#134914)
- Add patch to fix button focus issues (#133507)
- Add patches to fix tab focus stealing issue (b.m.o #124750)

* Fri Oct  1 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.8
- Update to 0.10.1
- Fix tab switching keybindings (#133504)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 0:0.10.0-1.0PR1.7
- filter out library Provides: and internal Requires:

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.6
- Prereq desktop-file-utils >= 0.9

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.5
- Add clipboard access prevention patch.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.4
- Add the xul mime type to the .desktop file

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.3
- Backport the GTK+ file chooser.
- Update desktop database after uninstall.

* Mon Sep 27 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.2
- Change the vendor to mozilla not fedora
- Build with --disable-strip so debuginfo packages work (#133738)
- Add pkgconfig patch (bmo #261090)

* Fri Sep 24 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.1
- Add a BR for desktop-file-utils
- Update default configuration options to use the firefox mozconfig (#132916)
- Use Red Hat bookmarks (#133262)
- Update default homepage (#132721)
- Fix JS math on AMD64 (#133226)
- Build with MOZILLA_OFICIAL (#132917)

* Tue Sep 14 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.0
- Update to 1.0PR1
- Update man page references to say Firefox instead of Firebird
- Remove gcc34 and extensions patch; they are now upstream
- Update desktop database
- Minor tweaks to the .desktop file

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0:0.9.3-8
- Fixup .desktop entry Name, GenericName, and Comment (#131602)
- Add MimeType desktop entry (patch from jrb@redhat.com)
- Build with --disable-xprint

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0:0.9.3-7
- rawhide import
- fedora.us #1765 NetBSD's freetype 2.1.8 compat patch

* Sun Aug 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.6
- and mng support is disabled again as it seams that there is
  no real mng support in the code

* Sat Aug 28 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.5
- remove ldconfig from scriptlets (bug #1846 comment #40)
- reenabled mng support (bug #1971)
- removed --enable-strip to let rpm to the stripping (bug #1971)
- honor system settings in firefox.sh (bug #1971)
- setting umask 022 in scriptlets (bug #1962)

* Sat Aug 07 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.4
- copy the icon to the right place(TM)

* Fri Aug 06 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.3
- readded the xpm removed in 0:0.9.2-0.fdr.5

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.2
- added mozilla-1.7-psfonts.patch from rawhide mozilla

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.1
- updated to 0.9.3
- removed following from .mozconfig:
    ac_add_options --with-system-mng
    ac_add_options --enable-xprint
    ac_add_options --disable-dtd-debug
    ac_add_options --disable-freetype2
    ac_add_options --enable-strip-libs
    ac_add_options --enable-reorder
    ac_add_options --enable-mathml
    ac_add_options --without-system-nspr

* Tue Aug 03 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.5
- applied parts of the patch from Matthias Saou (bug #1846)
- delete empty directories in %%{ffdir}/chrome
- more cosmetic changes to the spec file

* Wed Jul 14 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.4
- mozilla-default-plugin-less-annoying.patch readded

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.3
- added krb5-devel as build requirement

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.2
- added patch from bugzilla.mozilla.org (bug #247846)
- removed Xvfb hack

* Fri Jul 09 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.1
- updated to 0.9.2

* Mon Jul 05 2004 Warren Togami <wtogami@redhat.com> 0:0.9.1-0.fdr.3
- mharris suggestion for backwards compatibilty with Xvfb hack

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.2
- added massive hack from the debian package to create the
  extension directory

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.1
- updated to 0.9.1

* Thu Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.4
- remove extensions patch
- add post hack to create extensions
- enable negotiateauth extension
- copy icon to browser/app/default.xpm
- --enable-official-branding

* Thu Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.3
- extensions patch

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.2
- added gnome-vfs2-devel as BuildRequires
- added gcc-3.4 patch 

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.1
- updated to 0.9
- dropped x86_64 patches
- dropped xremote patches

* Wed May 26 2004 Adrian Reber <adrian@lisas.de> 0:0.8-0.fdr.13
- remove unused files: mozilla-config

* Sun May 23 2004 David Hill <djh[at]ii.net> 0:0.8-0.fdr.12
- update mozconfig (fixes bug #1443)
- installation directory includes version number

* Mon May 10 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.11
- merge x86_64 release 10 with fedora.us release 10 bump release to 11

* Mon Apr 19 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.10
- rebuild for FC2
- change Source71 to properly replace Source7 for maintainability

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.10
- 3rd xremote patch
- test -Os rather than -O2

* Sun Apr 18 2004 Gene Czarcinski <gene@czarc.net>
- more x86_64 fixes
- fix firefix-xremote-client for x86_64 (similar to what is done for
  firefox.sh.in)

* Sat Apr 03 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.9
- xremote patch for thunderbird integration #1113
- back out ugly hack from /usr/bin/firefox
- correct default bookmarks

* Wed Feb 25 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.7
- readded the new firefox icons

* Sat Feb 21 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.6
- removed new firefox icons

* Wed Feb 18 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.5
- nothing

* Thu Feb 12 2004 Gene Czarcinski <czar@acm.org>
- update for x86_64 ... usr mozilla-1.6 patches
- change "firefox-i*" to "firefox-*" in above stuff

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.4
- another icon changed

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.3
- startup script modified

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.2
- new firefox icon
- more s/firebird/firefox/

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.1
- new version: 0.8
- new name: firefox

* Sun Oct 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.2
- s/0.6.1/0.7/
- changed user-app-dir back to .phoenix as .mozilla-firebird
  is not working as expected
- manpage now also available as MozillaFirebird.1

* Thu Oct 16 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.1
- updated to 0.7
- provides webclient
- run regxpcom and regchrome after installation and removal
- added a man page from the debian package
- changed user-app-dir from .phoenix to .mozilla-firebird

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.2
- now with mozilla-default-plugin-less-annoying.patch; see bug #586

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.1
- updated to 0.6.1
- changed buildrequires for XFree86-devel from 0:4.3.0 to 0:4.2.1 
  it should now also build on RH80

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.5.rh90
- enabled the type ahead extension: bug #484

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.4.rh90
- renamed it again back to MozillaFirbird
- added libmng-devel to BuildRequires
- startup homepage is now www.fedora.us
- improved the startup script to use the unix remote protocol 
  to open a new window

* Mon May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.3.rh90
- new icon from http://iconpacks.mozdev.org/phoenix/iconshots/flame48true.png
- now using gtk2 as toolkit
- renamed again back to mozilla-firebird (I like it better)
- Provides: MozillaFirebird for compatibility with previous releases
- changed default bookmarks.html to contain links to www.fedora.us

* Mon May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.2.rh90
- renamed package to MozillaFirebird and all files with the old name
- enabled mng, mathml, xinerama support
- now honouring RPM_OPT_FLAGS

* Mon May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.1.rh90
- updated to 0.6

* Thu May 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.1.cvs20030501.rh90
- Updated to CVS.
- Renamed to mozilla-firebird.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030409.rh90
- Updated to CVS.
- Removed hard-coded library path.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030402.rh90
- Changed Prereq to Requires.
- Changed BuildRequires to gtk+-devel (instead of file).
- Recompressed source with bzip2.
- Removed post.

* Wed Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030402.rh90
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Updated to CVS.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030328.rh90
- Added Epoch:0.
- Added libgtk-1.2.so.0 to the BuildRequires

* Fri Mar 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030328.rh90
- Updated to latest CVS.
- Moved phoenix startup script into its own file

* Wed Mar 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030326.rh90
- Updated to latest CVS.
- Changed release to 9 vs 8.1.
- Added cvs script.
- added encoding to desktop file.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030323.rh81
- Updated to latest CVS.
- added release specification XFree86-devel Build Requirement.
- changed chmod to %attr

* Fri Mar 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030317.rh81
- Fixed naming scheme.
- Fixed .desktop file.

* Mon Mar 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030317.1
- Updated to CVS.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.2
- General Tweaking.

* Thu Mar 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.1
- Updated CVS.
- Modified mozconfig.

* Sun Mar 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030309.1
- Initial RPM release.
