%bcond_with systemd

%bcond_without plperl
%bcond_without pltcl
%bcond_without plpython3

%define non6xpamdeps 0

%define test 0
%define ssl 1
%define kerberos 0
%define nls 1
%define pam 1

Summary: PostgreSQL client programs
Summary(ja): PostgreSQL のクライアントプログラム群
Name: postgresql
Version: 14.1
Release: 2%{?_dist_release}%{?with_systemd:.systemd}
Group: office
Vendor: Project Vine
Distribution: Vine Linux

%global pgver %(echo %{version} | cut -d . -f 1)
# Conventions for PostgreSQL Global Development Group RPM releases:
#
# Official PostgreSQL Development Group RPMS have a PGDG after the release number.
# Integer releases are stable -- 0.1.x releases are Pre-releases, and x.y are
# test releases.
#
# Pre-releases are those that are built from CVS snapshots or pre-release
# tarballs from postgresql.org.  Official beta releases are not 
# considered pre-releases, nor are release candidates, as their beta or
# release candidate status is reflected in the version of the tarball. Pre-
# releases' versions do not change -- the pre-release tarball of 7.0.3, for
# example, has the same tarball version as the final official release of 7.0.3:
# but the tarball is different.
#
# Test releases are where PostgreSQL itself is not in beta, but certain parts of
# the RPM packaging (such as the spec file, the initscript, etc) are in beta.
#
# Pre-release RPM's should not be put up on the public ftp.postgresql.org server
# -- only test releases or full releases should be.

License: BSD
Url: https://www.postgresql.org/ 
Source0: https://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
Source3: postgresql.init
Source5: https://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2.sha256
Source6: README.rpm-dist
Source15: postgresql-bashprofile
Source1000: postgresql.service
Source1001: postgresql.tmpfiles.d
Patch2: postgresql-8.3.3-nls.patch
Patch3: postgresql-7.4-ecpg-patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl build-essential
BuildRequires: bison, flex, pam-devel
BuildRequires: libicu-devel
%if %{with plpython3}
BuildRequires: python3 python3-devel python3-rpm-macros
%endif
%if %{with pltcl}
BuildRequires: tcl-devel
%endif
BuildRequires: libedit-devel
BuildRequires: zlib-devel >= 1.0.4
%if %ssl
BuildRequires: openssl-devel
%endif
%if %kerberos
BuildRequires: krb5-devel
%endif
%if %nls
BuildRequires: gettext >= 0.10.35
%endif

%if %pam
%if %non6xpamdeps
BuildRequires: pam-devel
%endif
%endif

Obsoletes: postgresql-clients < 9.0.0
Obsoletes: postgresql-python < 9.0.0
Obsoletes: postgresql7 < 8.0.0
Conflicts: postgresql8 < 9.0.0
Conflicts: postgresql8-jdbc < 9.0.0
Conflicts: postgresql-jdbc < %{pgver}
Obsoletes: postgresql7-plperl < 8.0.0

# This is the PostgreSQL Global Development Group Official RPMset spec file,
# or a derivative thereof.
# Copyright 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
# and others listed.

# Major Contributors:
# ---------------
# Lamar Owen
# Trond Eivind Glomsrd <teg@redhat.com>
# Thomas Lockhart
# Reinhard Max
# Karl DeBisschop
# Peter Eisentraut
# Joe Conway
# and others in the Changelog....

# This spec file and ancilliary files are licensed in accordance with 
# The PostgreSQL license.

# On top of this file you can find the default build package list macros.  These can be overridden by defining
# on the rpm command line:
# rpm --define 'packagename 1' .... to force the package to build.
# rpm --define 'packagename 0' .... to force the package NOT to build.
# The base package, the lib package, the devel package, and the server package always get built.

%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs that you'll need
to access a PostgreSQL DBMS server.  These PostgreSQL client programs
are programs that directly manipulate the internal structure of
PostgreSQL databases on a PostgreSQL server. These client programs
can be located on the same machine with the PostgreSQL server,
or may be on a remote machine which accesses a PostgreSQL server
over a network connection. This package contains the docs in HTML
for the whole package, as well as command-line utilities for managing
PostgreSQL databases on a PostgreSQL server. 

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%description -l ja
PostgreSQLはSQLの構成要素(トランザクション、副問い合わせおよびユーザ
定義型やユーザ定義関数など)のほとんどすべてをサポートした、先進的なオブ
ジェクト指向のデータベース管理システム(DBMS)です。postgresqlのパッケー
ジにはPostgreSQL DBMS サーバにアクセスするために必要なクライアントプロ
グラムを収録しています。PostgreSQLクライアントプログラムは、PostgreSQL
サーバ上のPostgreSQLデータベースの内部構造を直接操作するためのプログラ
ムです。これらのクライアントプログラムは、PostgreSQLサーバと同じマシン
上で動いていてもよいですし、ネットワークコネクションの向こう側にあるリ
モートマシン上にあっても構いません。このパッケージにはPostgreSQLサーバ
上のPostgreSQLデータベースを管理するためのユーティリティに加え、全パッ
ケージのドキュメントがHTML形式で収録されています。

リモートにあるPostgreSQLサーバ上のPostgreSQLデータベースを操作する場合
はこのパッケージが必要です。またpostgresql-serverパッケージをインスト
ールする場合にも、このパッケージをインストールする必要があります。


%if 0
%package libs
Summary: The shared libraries required for any PostgreSQL clients.
Summary(ja): PostgreSQL クライアントに必要な共有ライブラリ
Group: system
Obsoletes: postgresql7-libs < 8.0.0
Conflicts: postgresql8-libs
Conflicts: postgresql-libs >= 9.3.0

%description libs
The postgresql-libs package provides the essential shared libraries for any 
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

%description -l ja libs
postgresql-libs パッケージは、すべての PostgreSQL クライアントプログラ
ムやインターフェースのための中核的な共有ライブラリを提供します。
PostgreSQL サーバに接続する必要のある、PostgreSQL パッケージやクライア
ントを使う場合には、このパッケージをインストールする必要があります。
%endif


%package server
Summary: The programs needed to create and run a PostgreSQL server.
Summary(ja): PostgreSQL サーバを構築・実行するのに必要なプログラム
Group: servers
Requires: %{name} = %{version}
Requires(pre): shadow-utils
%if %{with systemd}
BuildRequires: systemd-devel
%{?systemd_requires}
%else
Requires:  initscripts
Requires(post): chkconfig
Requires(preun): chkconfig, /sbin/service
Requires(postun): chkconfig, /sbin/service
%endif
Obsoletes: postgresql7-server < 8.0.0
Conflicts: postgresql8-server < 9.0.0

%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql package.

%description -l ja server
postgresql-server パッケージには、PostgreSQL サーバを生成して実行する
ために必要なプログラムが含まれています。これらにより、PostgreSQL のデ
ータベースを新規に作成したり、メンテナンスしたりできるようになります。
PostgreSQL は先進的でオブジェクト指向的なデータベース管理システム(DBMS)
であり、(トランザクション、副問い合わせ、ユーザ定義型および関数といっ
た)ほとんどすべての SQL 構造をサポートしています。自分自身の PostgreSQL
サーバを動かして、自分自身の PostgreSQL データベースを作成したりメン
テナンスしたりしたい場合は postgresql-server をインストールする必要が
あります。さらに postgresql パッケージもインストールしてください。


%package llvmjit
Summary:        Just-in-time compilation support for PostgreSQL
Summary(ja):    PostgreSQLのJust-in-timeコンパイルサポート
Group:          programming
Requires:       %{name}-server%{?_isa} = %{version}-%{release}
Requires:       llvm => 5.0
Provides:       postgresql-llvmjit >= %{version}-%{release}
BuildRequires:  llvm-devel
BuildRequires:  clang-devel

%description llvmjit
The postgresql-llvmjit package contains support for
just-in-time compiling parts of PostgreSQL queries. Using LLVM it
compiles e.g. expressions and tuple deforming into native code, with the
goal of accelerating analytics queries.


%package docs
Summary: Extra documentation for PostgreSQL
Summary(ja): PostgreSQL に関するその他の文書
Group: documentation
Obsoletes: postgresql7-docs < 8.0.0
Conflicts: postgresql8-docs < 9.0.0

%description docs
The postgresql-docs package includes the SGML source for the documentation
as well as the documentation in other formats, and some extra documentation.
Install this package if you want to help with the PostgreSQL documentation
project, or if you want to generate printed documentation.


%package contrib
Summary: Contributed source and binaries distributed with PostgreSQL
Summary(ja): PostgreSQL と一緒に配布される、寄贈されたソースとバイナリ
Group: Applications/Databases
Requires: %{name} = %{version} perl-DBD-Pg
Obsoletes: postgresql7-contrib < 8.0.0
Conflicts: postgresql8-contrib < 9.0.0

%description contrib
The postgresql-contrib package contains contributed packages that are
included in the PostgreSQL distribution.


%package devel
Summary: PostgreSQL development header files.
Summary(ja): PostgreSQL のサーバサイド開発用ヘッダファイル
Group: programming
Requires: %{name}-static = %{version}
Requires: libicu-devel
Requires: clang-devel
Requires: llvm-devel
Obsoletes: postgresql7-devel < 8.0.0
Conflicts: postgresql8-devel < 9.0.0
Conflicts: libpq-devel >= 9.3.0

%description devel
The postgresql-devel package contains the header files needed to compile
server-side C or C++ applications.

%description -l ja devel
postgresql-devel パッケージには、PostgreSQL サーバサイド C / C++ アプリケー
ションをコンパイルするために必要なヘッダファイルが含まれています。


%package static
Summary: PostgreSQL development libraries.
Summary(ja): PostgreSQL のサーバサイド開発用ライブラリ
Group: programming
Obsoletes: postgresql7-devel < 8.0.0
Conflicts: postgresql8-devel < 9.0.0
Conflicts: libpq-devel >= 9.3.0

%description static
The postgresql-static package contains libraries needed to compile
 server-side C or C++ applications.

%description -l ja static
postgresql-static パッケージには、PostgreSQL サーバサイド C / C++ アプリケー
ションをコンパイルするために必要なライブラリが含まれています。

#------------
%if %{with plperl}
%package plperl
Summary: The Perl procedural languages for PostgreSQL.
Summary(ja): PostgreSQL用の手続き言語PL/Perl
Group: programming
Requires: %{name} = %{version}
Obsoletes: postgresql7-pl < 8.0.0
Conflicts: postgresql8-pl < 9.0.0

%description plperl
The postgresql-plperl package contains the PL/Perl procedural language,
which is an extension to the PostgreSQL database server.
Install this if you want to write database functions in Perl.
%endif

#------------
%if %{with pltcl}
%package pltcl
Summary: The Tcl procedural languages for PostgreSQL.
Summary(ja): PostgreSQL用の手続き言語PL/Tcl
Group: programming
Requires: %{name} = %{version}
Obsoletes: postgresql7-pl < 8.0.0
Conflicts: postgresql8-pl < 9.0.0

%description pltcl
The postgresql-pltcl package contains the PL/Tcl procedural language,
which is an extension to the PostgreSQL database server.
Install this if you want to write database functions in Tcl.
%endif

#------------
%if %{with plpython3}
%package plpython3
Summary: The Python3 procedural languages for PostgreSQL.
Summary(ja): PostgreSQL用の手続き言語PL/Python
Group: programming
Requires: %{name} = %{version}
Obsoletes: postgresql7-pl < 8.0.0
Conflicts: postgresql8-pl < 9.0.0

%description plpython3
The postgresql-plpython3 package contains the PL/Python3 procedural language,
which is an extension to the PostgreSQL database server.
Install this if you want to write database functions in Python 3.
%endif

#------------
%if %test
%package test
Summary: The test suite distributed with PostgreSQL.
Summary(ja): PostgreSQL と共に配布されるテストスート
Group: other
Requires: postgresql = %{version}
Obsoletes: postgresql7-test < 8.0.0
Conflicts: postgresql8-test < 9.0.0

%description test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.
%endif


%debug_package


%prep
%setup -q -n postgresql-%{version}


%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

# Strip out -ffast-math from CFLAGS....

# to link libpq statically.
LIBPQ_PATH=`pwd`/src/interfaces/libpq/libpq.a
perl -pi -e "s|^libpq = .+\$|libpq = $LIBPQ_PATH -lpthread|" src/Makefile.global.in

CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`

export PYTHON=%{__python3}

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath \
%if %{with plperl}
	--with-perl \
%endif
%if %{with pltcl}
	--with-tcl \
	--with-tclconfig=%{_libdir} \
%endif
%if %{with plpython3}
	--with-python \
%endif
%if %ssl
	--with-openssl \
%endif
%if %pam
	--with-pam \
%endif
%if %kerberos
	--with-krb5=/usr/kerberos \
%endif
%if %nls
	--enable-nls \
%endif
	--with-libedit-preferred \
	--sysconfdir=%{_sysconfdir}/sysconfig/pgsql \
	--mandir=%{_mandir} \
	--with-docdir=%{_docdir} \
	--includedir=%{_includedir}/pgsql \
	--datadir=%{_datadir}/pgsql \
	--with-icu \
	--with-llvm \
%if %{with systemd}
	--with-systemd \
%endif
	%{nil}

make %{?_smp_mflags} all
make %{?_smp_mflags} -C contrib all

%if %test
	pushd src/test
	make all
	popd
%endif


%install
rm -rf $RPM_BUILD_ROOT

# exclude client libraries.
perl -pi -e 's/^\tinterfaces \\\n//' src/Makefile

make DESTDIR=$RPM_BUILD_ROOT install
make -C contrib DESTDIR=$RPM_BUILD_ROOT install

# copy over Makefile.global to the include dir....
install -m644 src/Makefile.global $RPM_BUILD_ROOT%{_includedir}/pgsql
install -m644 src/Makefile.shlib $RPM_BUILD_ROOT%{_includedir}/pgsql

%if %{with systemd}
install -Dpm0644 %{SOURCE1000} $RPM_BUILD_ROOT%{_unitdir}/postgresql.service
# ... and make a tmpfiles script to recreate it at reboot.
install -Dpm0644 %{SOURCE1001} $RPM_BUILD_ROOT%{_tmpfilesdir}/postgresql.conf
%else
# initscript
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
sed -e "s/@pgver@/%{pgver}/" \
	-e "s|@docdir@|%{_docdir}/postgresql-%{version}|" %{SOURCE3} \
	> $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql
chmod 755 $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql
%endif

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/data

# backups of data go here...
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/backups

# postgres' .bash_profile
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT/var/lib/pgsql/.bash_profile

# Create the multiple postmaster startup directory
install -d -m 700 $RPM_BUILD_ROOT/etc/sysconfig/pgsql


%if %test
	# tests. There are many files included here that are unnecessary, but include
	# them anyway for completeness.
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/pgsql/test
	cp -a src/test/regress $RPM_BUILD_ROOT%{_libdir}/pgsql/test
	install -m 0755 contrib/spi/refint.so $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress
	install -m 0755 contrib/spi/autoinc.so $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress
	pushd  $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress/
	strip *.so
	popd
%endif

# Fix some more documentation
##gzip doc/internals.ps
cp %{SOURCE6} README.rpm-dist
##cp -pr $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc
##rm -rf $RPM_BUILD_ROOT%{_docdir}/postgresql/html

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man7
install -m 644 ./doc/src/sgml/man1/* $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 ./doc/src/sgml/man3/* $RPM_BUILD_ROOT/%{_mandir}/man3
install -m 644 ./doc/src/sgml/man7/* $RPM_BUILD_ROOT/%{_mandir}/man7

find_lang_bins ()
{
	lstfile=$1 ; shift
	cp /dev/null "$lstfile"
	for binary; do
		%find_lang "$binary"-%{pgver}
		cat "$binary"-%{pgver}.lang >>"$lstfile"
	done
}
find_lang_bins devel.lst pg_config
find_lang_bins server.lst \
	initdb pg_amcheck pg_archivecleanup pg_basebackup pg_checksums pg_controldata \
	pg_ctl pg_resetwal pg_rewind pg_test_fsync pg_test_timing pg_waldump \
	plpgsql postgres pg_upgrade pg_verifybackup
find_lang_bins main.lst \
	pg_dump pgscripts psql
%if %{with plperl}
find_lang_bins plperl.lst plperl
%endif
%if %{with plpython3}
# plpython3 shares message files with plpython
find_lang_bins plpython3.lst plpython
%endif
%if %{with pltcl}
find_lang_bins pltcl.lst pltcl
%endif

rm -rf ./extension
mv -f %{buildroot}%{_docdir}/postgresql/extension ./
rm -f %{buildroot}%{_mandir}/man1/ecpg.*


%pre server
groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
touch /var/log/pgsql
chown postgres.postgres /var/log/pgsql
chmod 0700 /var/log/pgsql


if [ $1 -gt 1 ]; then
  if [ -e /var/lib/pgsql/data/PG_VERSION ]; then
    PGVER=`cat /var/lib/pgsql/data/PG_VERSION`
    if [ "x%{pgver}" != "x$PGVER" -a ! -d /var/lib/pgsql/$PGVER ]; then
      mkdir -p /var/lib/pgsql/$PGVER/{bin,share,%{_lib}/postgresql}
      mv -f /var/lib/pgsql/data /var/lib/pgsql/$PGVER/
      cp -af %{_datadir}/pgsql /var/lib/pgsql/$PGVER/share/
      for f in %{_libdir}/postgresql/*; do
        cp -af $f /var/lib/pgsql/$PGVER/%{_lib}/postgresql/
      done
      for f in `rpm -ql %{name}-server | grep /usr/bin/`; do
        cp -af $f /var/lib/pgsql/$PGVER/bin/
      done

      cat - <<EOF > /var/lib/pgsql/pgsql_upgrade.sh
#!/bin/sh

sudo -u postgres pg_upgrade -d /var/lib/pgsql/$PGVER/data/ -D /var/lib/pgsql/data -b /var/lib/pgsql/$PGVER/bin/ -B /usr/bin

EOF
      chown postgres.postgres /var/lib/pgsql/pgsql_upgrade.sh
      chmod 700 /var/lib/pgsql/pgsql_upgrade.sh

      cat - <<EOF
 The old database was saved into /var/lib/pgsql/$PGVER/data/ and
a migration script was created as /var/lib/pgsql/pgsql_upgrade.sh

EOF
	fi
  fi
fi

%post server
%if %{with systemd}
%systemd_post postgresql.service
%else
chkconfig --add postgresql
%endif

%preun server
%if %{with systemd}
%systemd_preun postgresql.service
%else
if [ $1 = 0 -o -x /bin/systemctl ] ; then
	chkconfig --del postgresql
fi
%endif

%postun server
%if %{with systemd}
%systemd_postun_with_restart postgresql.service
%else
if [ $1 -ge 1 ]; then
  /sbin/service postgresql condrestart >/dev/null 2>&1
fi
if [ $1 = 0 ] ; then
    if [ ! -x /usr/bin/postgres ] ; then
	    userdel postgres >/dev/null 2>&1 || :
	    groupdel postgres >/dev/null 2>&1 || : 
    fi
fi
%endif

%if %test
%post test
chown -R postgres.postgres %{_datadir}/pgsql/test >/dev/null 2>&1 || :
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files -f main.lst
%defattr(-,root,root)
%license COPYRIGHT
%doc doc/KNOWN_BUGS doc/MISSING_FEATURES
%doc README HISTORY INSTALL
%doc README.rpm-dist
##doc doc/html
%{_bindir}/clusterdb
%{_bindir}/createdb
%{_bindir}/createuser
%{_bindir}/dropdb
%{_bindir}/dropuser
%{_bindir}/pg_dump
%{_bindir}/pg_dumpall
%{_bindir}/pg_restore
%{_bindir}/psql
%{_bindir}/reindexdb
%{_bindir}/vacuumdb
%{_mandir}/man1/clusterdb.*
%{_mandir}/man1/createdb.*
%{_mandir}/man1/createuser.*
%{_mandir}/man1/dropdb.*
%{_mandir}/man1/dropuser.*
%{_mandir}/man1/pg_dump.*
%{_mandir}/man1/pg_dumpall.*
%{_mandir}/man1/pg_restore.*
%{_mandir}/man1/psql.*
%{_mandir}/man1/reindexdb.*
%{_mandir}/man1/vacuumdb.*
%{_mandir}/man3/*
%{_mandir}/man7/*
%dir %{_libdir}/postgresql/bitcode

%files docs
%defattr(-,root,root)
%doc doc/src/*

%files contrib
%defattr(-,root,root)
%doc contrib/README contrib/spi/*.example
%{_libdir}/postgresql/_int.so
%{_libdir}/postgresql/adminpack.so
%{_libdir}/postgresql/amcheck.so
%{_libdir}/postgresql/auth_delay.so
%{_libdir}/postgresql/auto_explain.so
%{_libdir}/postgresql/autoinc.so
%{_libdir}/postgresql/bloom.so
%{_libdir}/postgresql/btree_gin.so
%{_libdir}/postgresql/btree_gist.so
%{_libdir}/postgresql/citext.so
%{_libdir}/postgresql/cube.so
%{_libdir}/postgresql/dblink.so
%{_libdir}/postgresql/dict_int.so
%{_libdir}/postgresql/dict_xsyn.so
%{_libdir}/postgresql/earthdistance.so
%{_libdir}/postgresql/file_fdw.so
%{_libdir}/postgresql/fuzzystrmatch.so
%{_libdir}/postgresql/hstore.so
%{_libdir}/postgresql/insert_username.so
%{_libdir}/postgresql/isn.so
%{_libdir}/postgresql/lo.so
%{_libdir}/postgresql/ltree.so
%{_libdir}/postgresql/moddatetime.so
%{_libdir}/postgresql/old_snapshot.so
%{_libdir}/postgresql/pageinspect.so
%{_libdir}/postgresql/passwordcheck.so
%{_libdir}/postgresql/pg_buffercache.so
%{_libdir}/postgresql/pg_freespacemap.so
%{_libdir}/postgresql/pg_stat_statements.so
%{_libdir}/postgresql/pg_surgery.so
%{_libdir}/postgresql/pg_trgm.so
%{_libdir}/postgresql/pg_visibility.so
%{_libdir}/postgresql/pgcrypto.so
%{_libdir}/postgresql/pgoutput.so
%{_libdir}/postgresql/pgrowlocks.so
%{_libdir}/postgresql/pgstattuple.so
%{_libdir}/postgresql/postgres_fdw.so
%{_libdir}/postgresql/refint.so
%{_libdir}/postgresql/seg.so
%{_libdir}/postgresql/sslinfo.so
%{_libdir}/postgresql/tablefunc.so
%{_libdir}/postgresql/tcn.so
%{_libdir}/postgresql/test_decoding.so
%{_libdir}/postgresql/unaccent.so
%{_bindir}/oid2name
%{_bindir}/vacuumlo
%{_mandir}/man1/oid2name.*
%{_mandir}/man1/vacuumlo.*

%if 0
%files libs -f libpq5-%{pgver}.lang
%defattr(-,root,root)
%{_libdir}/libecpg.so.*
%{_libdir}/libecpg_compat.so.*
%{_libdir}/libpgtypes.so.*
%{_libdir}/libpq.so.*
%endif

%files server -f server.lst
%defattr(-,root,root)
%doc extension
%if %{with systemd}
%{_unitdir}/postgresql.service
%{_tmpfilesdir}/postgresql.conf
%else
%{_sysconfdir}/rc.d/init.d/postgresql
%endif
%dir %{_sysconfdir}/sysconfig/pgsql
%{_bindir}/initdb
%{_bindir}/pg_amcheck
%{_bindir}/pg_archivecleanup
%{_bindir}/pg_basebackup
%{_bindir}/pg_checksums
%{_bindir}/pg_controldata
%{_bindir}/pg_ctl
%{_bindir}/pg_isready
%{_bindir}/pg_receivewal
%{_bindir}/pg_recvlogical
%{_bindir}/pg_resetwal
%{_bindir}/pg_rewind
%{_bindir}/pg_test_fsync
%{_bindir}/pg_test_timing
%{_bindir}/pg_upgrade
%{_bindir}/pg_verifybackup
%{_bindir}/pg_waldump
%{_bindir}/pgbench
%{_bindir}/postgres
%{_bindir}/postmaster
%{_mandir}/man1/initdb.*
%{_mandir}/man1/pg_amcheck.*
%{_mandir}/man1/pg_archivecleanup.*
%{_mandir}/man1/pg_basebackup.*
%{_mandir}/man1/pg_checksums.*
%{_mandir}/man1/pg_controldata.*
%{_mandir}/man1/pg_ctl.*
%{_mandir}/man1/pg_isready.*
%{_mandir}/man1/pg_receivewal.*
%{_mandir}/man1/pg_recvlogical.*
%{_mandir}/man1/pg_resetwal.*
%{_mandir}/man1/pg_rewind.*
%{_mandir}/man1/pg_test_fsync.*
%{_mandir}/man1/pg_test_timing.*
%{_mandir}/man1/pg_upgrade.*
%{_mandir}/man1/pg_verifybackup.*
%{_mandir}/man1/pg_waldump.*
%{_mandir}/man1/pgbench.*
%{_mandir}/man1/postgres.*
%{_mandir}/man1/postmaster.*
%dir %{_libdir}/postgresql
%{_libdir}/postgresql/*_and_*.so
%{_libdir}/postgresql/dict_snowball.so
%{_libdir}/postgresql/euc2004_sjis2004.so
%{_libdir}/postgresql/libpqwalreceiver.so
%{_libdir}/postgresql/pg_prewarm.so
%{_libdir}/postgresql/plpgsql.so
%{_libdir}/postgresql/tsm_system_rows.so
%{_libdir}/postgresql/tsm_system_time.so
%dir %{_datadir}/pgsql
%{_datadir}/pgsql/errcodes.txt
%dir %{_datadir}/pgsql/extension
%{_datadir}/pgsql/extension/*
%exclude %{_datadir}/pgsql/extension/pl*
%{_datadir}/pgsql/*.sql
%{_datadir}/pgsql/postgres.bki
%{_datadir}/pgsql/*.sample
%{_datadir}/pgsql/sql_features.txt
%{_datadir}/pgsql/timezone
%{_datadir}/pgsql/timezonesets
%{_datadir}/pgsql/tsearch_data
%attr(700,postgres,postgres) %dir /var/lib/pgsql
%attr(700,postgres,postgres) %dir /var/lib/pgsql/data
%attr(700,postgres,postgres) %dir /var/lib/pgsql/backups
%attr(644,postgres,postgres) %config(noreplace) /var/lib/pgsql/.bash_profile

%files llvmjit
%defattr(-,root,root)
%{_libdir}/postgresql/bitcode/*
%{_libdir}/postgresql/llvmjit.so
%{_libdir}/postgresql/llvmjit_types.bc

%files devel -f devel.lst
%defattr(-,root,root)
%{_includedir}/pgsql
%{_bindir}/pg_config
%{_libdir}/postgresql/pgxs
%{_mandir}/man1/pg_config.*

%files static
%{_libdir}/libpgcommon.a
%{_libdir}/libpgcommon_shlib.a
%{_libdir}/libpgfeutils.a
%{_libdir}/libpgport.a
%{_libdir}/libpgport_shlib.a

%if %{with plperl}
%files plperl -f plperl-%{pgver}.lang
%defattr(-,root,root)
%{_libdir}/postgresql/plperl.so
%{_libdir}/postgresql/bool_plperl.so
%{_libdir}/postgresql/hstore_plperl.so
%{_libdir}/postgresql/jsonb_plperl.so
%{_datadir}/pgsql/extension/plperl*
%endif

%if %{with pltcl}
%files pltcl -f pltcl-%{pgver}.lang
%defattr(-,root,root)
%{_libdir}/postgresql/pltcl.so
%{_datadir}/pgsql/extension/pltcl*
%endif

%if %{with plpython3}
%files plpython3 -f plpython3.lst
%defattr(-,root,root)
%{_libdir}/postgresql/plpython3.so
%{_libdir}/postgresql/hstore_plpython3.so
%{_libdir}/postgresql/ltree_plpython3.so
%{_libdir}/postgresql/jsonb_plpython3.so
%{_datadir}/pgsql/extension/plpython3*
%endif

%if %test
%files test
%defattr(-,postgres,postgres)
%attr(-,postgres,postgres) %{_libdir}/postgresql/test/*
%attr(-,postgres,postgres) %dir %{_libdir}/postgresql/test
%endif


%changelog
* Mon Nov 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 14.1-2
- rebuilt with perl-5.34.0.

* Fri Nov 12 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 14.1-1
- new upstream release.

* Fri Oct 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 14.0-3
- rebuilt with icu-70.1.

* Fri Oct 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 14.0-2
- rebuilt with llvm-13.

* Sat Oct 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 14.0-1
- new upstream release.
- built with openssl-3.0.0.

* Fri Aug 13 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 13.4-1
- new upstream release.

* Fri May 14 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 13.3-1
- new upstream release.

* Sat Apr 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 13.2-3
- rebuilt with llvm-12.

* Fri Apr 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 13.2-2
- rebuilt with icu69.
- dropped ldconfig scriptlets.

* Fri Feb 12 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 13.2-1
- new upstream release.

* Fri Nov 13 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 13.1-1
- new upstream release.

* Mon Oct 05 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 13.0-1
- new upstream release.

* Mon Aug 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 12.4-2
- rebuilt with python-3.8.

* Fri Aug 14 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 12.4-1
- new upstream release.
- fixed %%files.

* Fri May 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 12.3-1
- new upstream release.
- added systemd support (disabled as default).

* Fri Feb 14 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 12.2-1
- new upstream release.

* Fri Oct 04 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 12.0-1
- new upstream release.

* Fri Mar 02 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.3-1
- new upstream release.

* Fri Apr  1 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.5.2-1
- new upstream release.

* Tue Mar 15 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.5.1-1
- new upstream release.

* Sat Jan  9 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.5.0-1
- new upstream release.

* Fri Oct  9 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.4.5-1
- new upstream release.

* Sat Jun 20 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.4.4-2
- fixed initscript.
- modified %%pre to prepare for pg_upgrade.

* Sat Jun 13 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.4.4-1
- new upstream release.

* Fri Jun 12 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.4.3-1
- new upstream release.

* Sun Mar 22 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 9.3.4-2
- rebuilt without readline to avoid GPL infection
- added BuildRequires: libedit-devel instead of readline-devel
- added BuildRequires: tcl-devel instead of tcl

* Tue Apr 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.3.4-1
- new upstream release.

* Sun Dec 01 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9.3.1-1
- new upstream release.
- built without client libraries.

* Thu Feb 21 2013 IWAI, Masaharu <iwai@alib.jp> 9.0.12-1
- new upstream release

* Thu Feb  7 2013 IWAI, Masaharu <iwai@alib.jp> 9.0.11-1
- new upstream release
- add Vendor and Distribution tags

* Mon Jan  7 2013 IWAI, Masaharu <iwai@alib.jp> 9.0.7-2vl7
- build with Tcl/Tk 8.5.7-1
- fix init script (Source3): fix su(1) paramaters.

* Tue Mar 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.7-1
- new upstream release 
- move euc2004_sjis2004.so from -contrib to -server (BTS:1266)
- remove *_and_*.so from -contrib (included in -server)

* Sat Apr 23 2011 Shu KONNO <owa@bg.wakwak.com> 9.0.4-1
- updated postgresql to 9.0.4

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 9.0.3-1
- updated postgresql to 9.0.3
- separated postgresql-jdbc package

* Thu Feb 03 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.7-1
- updated postgresql to 8.4.7 (contains a variety of fixes)

* Sat Jan 29 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.6-1
- updated postgresql to 8.4.6
- updated JDBC2 driver to postgresql-8.3-606.{jdbc2,jdbc2ee}.jar
- updated JDBC3 driver to postgresql-8.4-702.jdbc3.jar
- updated JDBC4 driver to postgresql-8.4-702.jdbc4.jar

* Thu Jan 13 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.5-2
- rebuilt with openssl-1.0.0c

* Thu Oct 07 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.5-1
- updated postgresql to 8.4.5

* Sun May 16 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.4-1
- updated postgresql to 8.4.4

* Thu Apr 15 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.3-1
- updated postgresql to 8.4.3
- s/BuildPrereq/Buildrequires/

* Wed Feb 17 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.2-1
- updated postgresql to 8.4.2
- rebuilt with new environment

* Thu Sep 10 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.1-1
- updated postgresql to 8.4.1

* Fri Aug 21 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.0-2
- moved dict_snowball.so from conrib to server

* Tue Jul 07 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.0-1
- updated postgresql to 8.4.0
- updated jdbc3,4 to 701
- dropt postgresql-8.3.3-nls.patch (fixed)
- dropt postgresql-7.4-ecpg-patch (no effect)

* Sat Apr 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.3.7-2
- changed libs Group to System Environment/Libraries

* Sun Apr 12 2009 Shu KONNO <owa@bg.wakwak.com> 8.3.7-1
- updated postgresql to 8.3.7

* Sun Jan 25 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.3.5-2
- remove "-E EUC_JP --no-locale" option from initdb in postgresql.init

* Thu Jan 22 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.3.5-1
- new upstream release (postgresql to 8.3.5, jdbc to 604)

* Sat Jul 05 2008 Shu KONNO <owa@bg.wakwak.com> 8.3.3-1vl5
- applied new versioning policy, and spec in utf-8
- updated postgresql to 8.3.3
- updated jdbcver to 603
- added postgresql-8.3.3-nls.patch instead of postgresql-8.2.0-nls.patch.gz
- added a script to replace PGVERSION in postgresql.init

* Sun Feb 17 2008 Shu KONNO <owa@bg.wakwak.com> 8.2.6-0vl2
- rebuild with tcl/tk-8.4.18

* Tue Jan 08 2008 Shu KONNO <owa@bg.wakwak.com> 8.2.6-0vl1
- updated postgresql to 8.2.6
- included security fixes: CVE-{2007-6600, 2007-4772, 2007-6067, 2007-4769, 2007-6601}

* Tue Oct 16 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl3
- updated PGVERSION to 8.2 in postgresql.init (sorry;)

* Tue Oct 09 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl2
- rebuild with tcl/tk-8.4.16

* Wed Sep 19 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl1
- updated postgresql to 8.2.5
- updated jdbc driver to 8.2-506, and added 8.2-506.jdbc4.jar
- updated nls-patch to 8-2-0
- dropt postgresql-8.1.4-Pg.patch.gz

* Wed Sep 19 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 8.1.10-0vl1
- for VineSeed
- updated to 8.1.10 (8.1.9 and up has fixes for CVE-2007-2138)
- JDBC driver updated to 410

* Sun Jul  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.1.5-0vl1
- rebuilt for VineSeed
- fixed install script

* Thu Nov 23 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.5-0vl0
- upstream release
- fix missing %defattr in %files server 

* Fri Sep 15 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.4-0vl2
- fix version number in postgresql.init

* Tue Sep 12 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.4-0vl1
- upstream release
- drop rpm-pgsql-8.0.0.patch
- add Requires: perl-DBD-Pg for contrib
- add postgresql-8.1.4-Pg.patch.gz
- update nls patches
- new JDBC driver

* Sat Mar 18 2006 Shu KONNO <owa@bg.wakwak.com> 8.0.3-0vl4
- added build options --without perl, --without python
- rebuilt for x86_64 architecture support

* Tue May 31 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl3
- drop Provides: on postgresql-libs
- drop Requires: libpq.so on postgresql-server

* Tue May 31 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl2
- change SONAME -- Provides: libpq.so.4 libpq.so.4.0 libpq.so

* Thu May 26 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl1
- upstream release
- update nls patches

* Fri Apr 22 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.2-0vl1
- upstream release
- update nls patches

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> 8.0.1-0vl3
- rebuilded with python-2.4.1-0vl1

* Sat Mar 26 2005 Shu KONNO <owa@bg.wakwak.com> 8.0.1-0vl2
- Dropped PyGreSQL-3.4.tgz.
- Dropped PyGreSQL-3.4-setup-2.patch.
- Dropped plpython.so in postgresql-server, because it's exist in postgresql-pl.
- Dropped pyver and pynextver macros.
- Changed macro name "python" to "plpython" like plperl.
- Added "Obsoletes: postgresql-python"

* Fri Feb 18 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.1-0vl1
- Major version up
- Obsoletes: postgresql7
- update nls patch(es)
- modify %postun not to delete postgres account on upgrade

* Thu Jan 27 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.0-0vl1
- upstream release (release as a new package)
- Conflicts: postgresql
- update nls patch(es)
- (this package revision was rejected by Vine Project)

* Sat Dec 04 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.6-0vl2
- upstream release
- new JDBC driver
- add BuildRequires: bison, flex, pam-devel
- drop postgresql-7.4.5-tempfile.patch (repaired)

* Thu Nov 18 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 7.4.5-0vl2
- Added a security fix patch postgresql-7.4.5-tempfile.patch
  from Gentoo Linux (CAN-2004-0977).
- Changed Patch4:
  from PyGreSQL-3.4-setup-2.patch into PyGreSQL-3.4-setup-2.patch
  It is possible to compile this package without pre-installed postgresql.
- Removed Patch5 because Patch4 was changed.

* Tue Aug 24 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.5-0vl1
- upstream release

* Mon Jun 21 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.3-0vl1
- upstream release
- new jdbc driver 

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl3
- rebuild with python-2.3.3-0vl1

* Tue Apr 13 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.3
- changed mode to 644 at Makefile.global, Makefile.shlib

* Mon Apr 12 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.2
- updated python install section

* Sat Apr 10 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.1
- added PyGreSQL-3.4.tgz and set python flag
- added PyGreSQL-3.4-setup.patch
- added PyGreSQL-3.4-pgmodule.patch
- rebuilded with python-2.3.3-0vl0.3 (for TestPkg)

* Sun Mar 28 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 7.4.2-0vl2
- rebuild with new openssl

* Wed Mar 17 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.2-0vl1
- upstream release
- change all of %{?foo:%define foo 0} -like descriptions to simple 
  %define format for latest rpm to build.

* Sat Feb 14 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.1-0vl3
- rebuild on latest tcl package environment.

* Wed Feb 11 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.1-0vl2
- fixed lacking files at server's %files

* Fri Dec 05 2003 HOTTA Michihide <hotta@net-newbie.com> 7.4-0vl2
- include JDBC driver for 7.4
- fix typo in postgresql-7.4-psql-patch

* Thu Nov 20 2003 HOTTA Michihide <hotta@net-newbie.com> 7.4-0vl1
- upstream release
- change '--includedir=' option to avoid conflicting with unixODBC
- add postgresql-7.4-ecpg-patch

* Wed Sep 10 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.4-0vl1
- upstream release

* Wed Jul 23 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.3-0vl2
- drop previous version of libpq's trash

* Wed May 28 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.3-0vl1
- upstream release with new nls patch
- fix postgresql-bashprofile (value of PGDATA)
- fix postgresql-init for Japanese-specific use (-E EUC_JP --no-locale)

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 7.3.2-0vl2
- rebuild with tcltk8.4 and readline-4.3

* Fri Mar 07 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.2-0vl1
- upstream release

* Wed Dec 25 2002 HOTTA Michihide <hotta@net-newbie.com> 7.3.1-0vl1
- upstream release
- remove garbage changelog

* Mon Dec 23 2002 HOTTA Michihide <hotta@net-newbie.com> 7.3-0vl1
- upstream release based on 7.3-2PGDG
- add nls patch

* Thu Dec 05 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-2PGDG
- Fix typo in initscript.  Argh!!

* Wed Dec 04 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-0.5PGDG
- Jerk out all perl client stuff and kludgage
- Rename plperl subpackage to a pl subpackage containing all but PL/Pgsql PL's
- Eliminate locale and multibyte explicit enables -- they are both defaults now
- Eliminate pgaccess code; it's not a part of the main tarball anymore
- Eliminate ODBC stuff -- it's also separate now.  Use unixODBC instead.
- Eliminated separate tk client package -- rolled the tk client into the tcl client.
- Moved pltcl into the pl subpackage.
- Added plpython to the pl subpackage.
- /etc/sysconfig/pgsql is sysconfdir for multiple postmaster startup.

* Mon Dec 02 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-0.1PGDG (not released)
- Integrate 7.3 jar's courtesy Joe Conway
- Integrate multi-postmaster initscript courtesy Karl DeBisschop
- Some renames and restructures.
- Stripped out the last dregs of the postgresql-dump migration script.
- Conflicts with less than 7.3.

- (See below for old changelogs from VineSeed) 

* Fri Oct 04 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.3-0vl1
- updated to 7.2.3.

* Tue Sep 10 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.2-0vl3
- absorbed previous patch8 into original nlspatch
- fixed configure options (--enable-nls and --enable-locale to be antinomy)

* Fri Aug 30 2002 Shoji Matsumoto <shom@vinelinux.org> 7.2.2-0vl2
- add patch8 (ja.po for psql was invalid)

* Thu Aug 29 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.2-0vl1
- updated to 7.2.2.
- improved nlspatch to enable japanese SQL help in psql.

* Sat Jul 06 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl3
- fixed garbage chars in description(ja).

* Wed Jul 03 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl2
- imported & replaced changelog (following VineSeed's).
  add some stuff to '%%files'.

* Wed Jul 03 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl1
- Modified for Vine Linux 2.5. Originaly from RHL 7.2.1-5, adding
  nls patch, pg_dump patch, date_part patch by Jun Kuwamura

* Thu May 23 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- replace nls patch.
- add *.mo to '%%files'.

* Mon Mar 04 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- fix initscript

* Sun Mar 03 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- add /usr/bin/pg_id to the package (fix)

* Fri Mar 01 2002 Satoshi MACHINO <machino@vinelinux.org> 7.2-0vl1
- updated 7.2
- added nls.patch
- fixed spec file
- added New JDBC
-- pgjdbc1.jar(for JDK1.1.x), pgjdbc2(for Java2)

* Sat Sep 22 2001 Satoshi MACHINO <machino@vinelinux.org> 7.1.3-4vl1
- updated 7.1.3

* Tue Aug 21 2001 Hisao SHIBUYA <shibuya@alpha.or.jp>
- 7.1.2-7vl3
- merge 7.1.2-7vl2 and 7.1.2-7

* Sun Aug 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 7.1.2-7vl2
- fixed spec typo (%%{_includesir} -> %%{_includedir})

* Tue Aug 14 2001 Satoshi MACHINO <machino@vinelinux.org> 7.1.2-7vl1
- updated 7.1.2 (used postgresql-7.1.2-7)
- used psqlj patch for 7.1.2
- used jumbo-20010801.patch.gz

* Mon Aug  6 2001 Trond Eivind Glomsr <teg@redhat.com> 7.1.2-7
- Add patches from 7.1-stable branch. This should fix #50799 and #50797
- Enable kerberos authentication (#50644)
- handle stop with stale pid file (#50499)
- make the test subpackage (not built by default) own /usr/lib/pgsql/test

* Mon Jul  9 2001 Trond Eivind Glomsr <teg@redhat.com>
- Make the -devel subpackage depend on -libs, not the main package

* Tue Jun 19 2001 Trond Eivind Glomsr <teg@redhat.com>
- Make sure the python subpackage depends on mx - otherwise, you'd get an error when importing

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add changes for s390x

* Fri Jun 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- Many path fixes for contrib packages
- Newer intarray
- Don't use nested ifs for tkpkg/pgaccess
- Turn off test package for Red Hat Linux - it makes most sense just to use 
  this during development
- One "pgacess" -> "pgaccess"

* Wed Jun 13 2001 Lamar Owen <lamar.owen@wgcr.org> <lamar@postgresql.org>
- -4PGDG
- patchset update for pg_regress.sh
- can the dot in the release -- confused too many people and some programs.
- -3.PGDG
- updated README.rpm-dist
- updated patch to 7.1.2, fixing some places where /usr/share/pgsql 
  was still being used where /usr/lib/pgsql was intended.
- PGLIB now set to /usr/lib/pgsql -- initdb doesn't use it to find the bki's.

* Tue Jun 12 2001 Trond Eivind Glomsr <teg@redhat.com>
- sync
- Run chkconfig --add on server install
- Move the prereqs on useradd on chkconfig to the server package
- don't disable the %%clean section

* Sat Jun 09 2001 Lamar Owen <lamar.owen@wgcr.org>
- Sync up with Trond Eivind's set.

* Thu Jun  7 2001 Trond Eivind Glomsr <teg@redhat.com>
- Don't create postgres' .bashrc from the server post script: include it instead
- Move the test packages from /usr/share/pgsql to /usr/lib/pgsql
- Move the symlinks libpq.so, libecpg.so, libpq++.so and libpgeasy.so to the devel subpackage from 
  libs
- Source the i18n data from the .bashrc instead of in the initscript

* Mon May 28 2001 Trond Eivind Glomsr <teg@redhat.com>
- Handle i18n for database startup - backend needs to have the same locale everytime, 
  but this certainly can't be hardcoded to C either
- Fix stop, restart in initscript (#42217)
- Make database init _much_ less verbose
- other minor fixes to the initscript

* Fri May 25 2001 Trond Eivind Glomsr <teg@redhat.com>
- 7.1.2

* Thu May 24 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.2-0.1.1.PGDG PRERELEASE
- Changed versioning and release numbering a little for better flexibility,
-- particularly for distribution packagers.
- Release numbering comment at top of spec, where it's more useful.
- Trimmed changelog to 7.1.x. See the last 7.0.3's specfile for the 7.0
  changlog, and the last 6.5.3's specfile for the changelog prior to
  7.0.

* Sun May 20 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-4.PGDG
- _really_ got Python version agnosticism working.

* Sat May 19 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-3.PGDG Release
- Python version agnosticism.....

* Tue May 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- Use openssl
- Make it obsolete subpackages if they aren't built

* Mon May 14 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-2.PGDG Release.
- Appended .PGDG to release string to differentiate our RPM set from the others.
- /bin/sh fix in initscript
- README.rpm-dist updates.

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 7.1.1-0.7
- Rebuild with new readline

* Thu May 10 2001 Trond Eivind Glomsr <teg@redhat.com>
- Initial 7.1.1

* Mon May  7 2001 Trond Eivind Glomsr <teg@redhat.com>
- Specify shell when running commands through su in the initscript, to avoid problems 
  when people switch the postgres user to use tcsh

* Thu Apr 19 2001 Trond Eivind Glomsr <teg@redhat.com>
- JDBC driver for Postgresql 7.1

* Sun Apr 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- slightly different versioning scheming, will go back to the official
  later when I'm sure the package is ready to use

* Fri Apr 13 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1 RELEASE
- 7.1-1 RPM RELEASE
- Change to COPTS -- strip out -ffastmath -- Considered Harmful.
- Back to old versioning scheme, kept teg's other fixes.
- README.rpm-dist updated.
- PGVERSION updated all-around (hopefully!)
- Couple of fixes from Peter E.
- Rearrange dependencies -- only the -libs subpackage is required for most stuff
- Removed broken and confusing logrotate script.

* Mon Apr  9 2001 Trond Eivind Glomsr <teg@redhat.com>
- chown considered harmful - removed
- fix dangling symlimks (pg_crc.c)
- libpq.so changes for maximum compatiblity
- different versioning scheme, to avoid trouble later
- remove temporary perl file from the file list
- fix spelling error in tcl description
- mark odbcinst.ini as a config file
- use %%defattr on packages which didn't have it

* Sat Apr 07 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Integrated the PL/Perl stuff from Karl DeBisschop --conditional.
- Packaging reorg: added contrib and docs subpackages.
- Removed sgml source docs from main package --> docs subpackage.
- Removed contrib tree from main package --> contrib subpackage.
- Contrib tree is now prebuilt -- HOWEVER, very little install work is
  currently done with this. 

* Fri Apr 06 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Quickie RC3.  There will be a 7.1RC3-2 shortly with other stuff.

* Tue Apr 03 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC2
- eliminate versioning information for ancilliary files in prep for CVS.
- Fix docs mixup.

* Tue Mar 27 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC1 quickie.

* Tue Mar 20 2001 Lamar Owen <lamar@postgresql.org>
- Beta 6 initial build.
- Use make install-all-headers instead of cpio hack for devel headers.
- Split out the libs into the libs subpackage.
- Updated initscript to use pg_ctl to stop
- Updated initscript to initdb and start postmaster with LC_ALL=C to 
  prevent index corruption.


* Sun Jan 28 2001 Lamar Owen <lamar@postgresql.org>
- Beta4
- Return to 'pgsql' directories instead of 'postgresql'
- Better perl patches.

* Mon Jan 15 2001 Lamar Owen <lamar@postgresql.org>
- Edit patches to get rid of some cruft.
- Eliminate some more pre-7.1 specfile baggage that is no longer necessary.
- Moved pg_id to server
- added Makefile.global and pg_config to devel
- Corrected /usr/include/pgsql to /usr/include/postgresql
- Fixed some configure options.  Will be trying the configure macro next release
- Since it is terminally ill in this version pg_upgrade is _gone_.
- Thanks to Peter E for a good review.

* Sun Jan 14 2001 Lamar Owen <lamar@postgresql.org>
- Running regression. 1 on the release-o-meter.
- Minor patches to get regression running right.  
- Initscript tweaking -- the old test for a database structure fails with 7.1's new structure.

* Sat Jan 13 2001 Lamar Owen <lamar@postgresql.org>
- Perl 5 needs to be built with PREFIX set on the Makefile, not GNUmakefile....
- The 7.1 build is different from the 7.0 build -- see the configure line.
- NOTE: many files that used to be in /usr/share/postgresql are now in /usr/share/postgresql!
- by request, conditional packages are now supported. See the top of the spec.
- Fixed the server postinstall problems.

* Mon Jan 08 2001 Lamar Owen <lamar@postgresql.org>
- First 7.1 beta test-build

